{
  "tableFormat": [
    {
      "label": "",
      "prop": "selection",
      "maxWidth": 80,
      "reserveSelection": true
    },
    {
      "prop": "orgName",
      "label": "所属单位"
    },
    {
      "prop": "mtrlNo",
      "label": "物料编码"
    },
    {
      "prop": "mtrlDes",
      "label": "物料描述"
    },
    {
      "prop": "mtrlUnit",
      "label": "物料单位"
    },
    {
      "prop": "quotaUpper",
      "label": "定额上限"
    },
    {
      "prop": "quotaLower",
      "label": "定额下限"
    },
    {
      "prop": "equipmentType",
      "label": "设备类型"
    },
    {
      "prop": "operation",
      "label": "操作",
      "fixed": "right",
      "maxWidth": 100
    }
  ],
  "searchObj": [
    {
      "type": "selectTree",
      "value": "orgNo",
      "label": "所属单位",
      "col": 4,
      "default": null,
      "placeholder": "请输入所属单位",
      "labelWidth": "80px"
    },
    {
      "type": "input",
      "value": "mtrlNo",
      "label": "物料编码",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料编码",
      "labelWidth": "80px"
    },
    {
      "type": "input",
      "value": "mtrlDes",
      "label": "物料描述",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料描述",
      "labelWidth": "80px"
    },
    {
      "type": "select",
      "value": "equipmentType",
      "label": "设备类型",
      "placeholder": "请选择设备类型",
      "col": 4,
      "default": null,
      "labelWidth": "80px",
      "options": [],
      "itemLabel": "equipmentType",
      "itemValue": "equipmentType"
    },
    {
      "type": "searchBtn",
      "col": 0.5,
      "labelWidth": "15px",
      "isShowSearch": true,
      "isShowReset": false
    }
  ],
  "materialsTableFormat": [
    {
      "prop": "mtrlNo",
      "label": "物料编码",
      "maxWidth": 100
    },
    {
      "prop": "mtrlDes",
      "label": "物料描述"
    },
    {
      "prop": "mtrlUnit",
      "label": "物料单位",
      "maxWidth": 80
    },
    {
      "prop": "quotaUpper",
      "label": "定额上限",
      "required": true
    },
    {
      "prop": "quotaLower",
      "label": "定额下限",
      "required": true
    },
    {
      "prop": "equipmentType",
      "label": "设备类型"
    },
    {
      "prop": "operation",
      "label": "操作"
    }
  ],
  "materialsDataTableFormat": [
    {
      "label": "",
      "prop": "selection",
      "maxWidth": 80,
      "reserveSelection": true
    },
    {
      "prop": "mtrlNo",
      "label": "物料编码"
    },
    {
      "prop": "mtrlDes",
      "label": "物料描述"
    },
    {
      "prop": "mtrlUnit",
      "label": "物料单位"
    }
  ],
  "materialsDataSearchObj": [
    {
      "type": "input",
      "value": "mtrlNo",
      "label": "物料编码",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料编码",
      "labelWidth": "80px"
    },
    {
      "type": "input",
      "value": "mtrlDes",
      "label": "物料描述",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料描述",
      "labelWidth": "80px"
    },
    {
      "type": "searchBtn",
      "col": 3,
      "labelWidth": "15px",
      "isShowSearch": true,
      "isShowReset": false
    }
  ]
}
